
Redmine - Patch #32890

Fix violations reported by Stylelint

2020-01-26 22:06 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Linting the CSS files using the rules proposed in #32888 generates the following violations:

root@df2fd1389bf4:/work# node_modules/.bin/stylelint "public/stylesheets/**/*.css" 

public/stylesheets/application.css

  561:1   ✖  Unexpected duplicate selector "div#issue-changesets div.changeset", first used at lin

e 560   no-duplicate-selectors                   

  682:77  ✖  Unexpected duplicate "pre"                                                           

        declaration-block-no-duplicate-properties

 1084:1   ✖  Unexpected duplicate selector "table.progress", first used at line 1075              

        no-duplicate-selectors                   

 1560:1   ✖  Unexpected duplicate selector ".sort-handle", first used at line 706                 

        no-duplicate-selectors                   

 1619:83  ✖  Unexpected duplicate "color"                                                         

        declaration-block-no-duplicate-properties

public/stylesheets/responsive.css

 264:18  ✖  Unexpected missing generic font family                                                

                                                  font-family-no-missing-generic-family-keyword

 804:3   ✖  Unexpected duplicate selector "#issue_tree .issue > td:not(.checkbox), #relations .iss

ue > td:not(.checkbox)", first used at line 787   no-duplicate-selectors                       

 828:3   ✖  Unexpected duplicate selector "#issue_tree .issue > td.subject,   #relations .issue > 

td.subject", first used at line 799               no-duplicate-selectors                       

public/stylesheets/rtl.css

 322:21  ✖  Unexpected duplicate "margin-right"   declaration-block-no-duplicate-properties

 377:14  ✖  Unexpected empty block                block-no-empty

 The attached patches fix all of them with one exception 828:3   ✖  Unexpected duplicate selector "#issue_tree .issue > td.subject,  

#relations .issue > td.subject", first used at line 799 no-duplicate-selectors which should be fixed by #32889.

Related issues:

Related to Redmine - Patch #32888: Use stylelint to avoid errors and enforce ... Closed

Associated revisions

Revision 19471 - 2020-01-28 03:48 - Go MAEDA

Remove duplicate white-space property (#32890).

Patch by Marius BALTEANU.

Revision 19472 - 2020-01-28 03:52 - Go MAEDA

Fix duplicate selectors (#32890).

Patch by Marius BALTEANU.

Revision 19473 - 2020-01-28 03:55 - Go MAEDA

Fix duplicate "color" attribute (#32890).

Patch by Marius BALTEANU.
Revision 19474 - 2020-01-28 03:56 - Go MAEDA

Fix missing generic font family (#32890).

Patch by Marius BALTEANU.

Revision 19475 - 2020-01-28 03:57 - Go MAEDA

Fix duplicate selector (#32890).

Patch by Marius BALTEANU.

Revision 19476 - 2020-01-28 03:58 - Go MAEDA

Remove empty block (#32890).

Patch by Marius BALTEANU.

Revision 19477 - 2020-01-28 04:00 - Go MAEDA

Fix duplicate "margin-right" property (#32890).

Patch by Marius BALTEANU.

History

#1 - 2020-01-27 00:44 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-01-28 04:01 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patches. Thank you.

#3 - 2020-01-28 07:41 - Marius BĂLTEANU

- Related to Patch #32888: Use stylelint to avoid errors and enforce conventions in CSS files added

Files

0007-Fix-duplicate-margin-right-property.patch 741 Bytes 2020-01-26 Marius BĂLTEANU

0006-Remove-empty-block.patch 733 Bytes 2020-01-26 Marius BĂLTEANU

0004-Fix-missing-generic-font-family.patch 700 Bytes 2020-01-26 Marius BĂLTEANU

0005-Fix-duplicate-selector.patch 1.2 KB 2020-01-26 Marius BĂLTEANU

0003-Fix-duplicate-color-attribute.patch 1.16 KB 2020-01-26 Marius BĂLTEANU

0001-Remove-duplicate-white-space-property.patch 950 Bytes 2020-01-26 Marius BĂLTEANU

0002-Fix-duplicate-selectors.patch 2.18 KB 2020-01-26 Marius BĂLTEANU
